> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> ListAssets

 Returns a list of assets.



## OpenAPI

````yaml get /streaming/assets/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /streaming/assets/v1:
    get:
      tags:
        - AssetService
      description: |-
        ListAssets

         Returns a list of assets.
      operationId: AssetService_ListAssets
      parameters:
        - name: page_size
          in: query
          description: Maximum number of records to return
          schema:
            type: integer
            format: int32
        - name: page_token
          in: query
          description: >-
            If this field is not empty then it must contain the
            `next_page_token` value
             returned by a previous call to this method.  Using this field causes the
             method to return additional results from the previous method call.
          schema:
            type: string
        - name: project_id
          in: query
          description: ID of the project from which assets are returned.
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: |-
            You can filter list of assets.
             Example: `labels.event_id:123`
          schema:
            type: string
        - name: order_by
          in: query
          description: |-
            Specifies the result ordering for List requests.
             Supported values are:
              * "create_time asc|desc"
              * "size_bytes asc|desc"
              * "labels.<key> asc|desc"
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.streaming.asset.v1.ListAssetsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.streaming.asset.v1.ListAssetsResponse:
      type: object
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.asset.v1.Asset'
          description: List of assets.
        next_page_token:
          type: string
          description: >-
            If there are more results than have been returned, then this field
            is set
             to a non-empty value.  To see the additional results,
             use that value as `page_token` in the next call to this method.
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.streaming.asset.v1.Asset:
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: The ID of the asset.
        name:
          type: string
          description: |-
            The name of the asset.
             It typically is the filename of the asset.
        project_id:
          readOnly: true
          type: string
          description: The ID of the project that owns the asset.
        type:
          readOnly: true
          enum:
            - ASSET_TYPE_UNSPECIFIED
            - ASSET_TYPE_IMAGE
            - ASSET_TYPE_VIDEO
            - ASSET_TYPE_AUDIO
            - ASSET_TYPE_FONT
            - ASSET_TYPE_TEXT
          type: string
          description: The type of the asset.
          format: enum
        content_type:
          readOnly: true
          type: string
          description: |-
            The content type of the asset.
             For example, `image/png`, `image/jpeg`, `video/mp4`, etc.
        size_bytes:
          readOnly: true
          type: string
          description: The size of the asset in bytes.
        access_control_mode:
          enum:
            - ACCESS_CONTROL_MODE_UNSPECIFIED
            - ACCESS_CONTROL_MODE_PUBLICREAD
            - ACCESS_CONTROL_MODE_SIGNEDREAD
          type: string
          description: |-
            The access control mode of the asset.
             If not specified, the default is `ACCESS_CONTROL_MODE_PUBLICREAD`.
             It indicates whether the asset is publicly accessible via
             a URL or it's accessible only via a signed URL.
          format: enum
        create_time:
          readOnly: true
          type: string
          description: The time when the asset was created.
          format: date-time
        labels:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.asset.v1.Label'
          description: Labels of the asset. It can be used to filter assets.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.streaming.asset.v1.Label:
      type: object
      properties:
        key:
          type: string
          description: The key of the label.
        value:
          type: string
          description: The value of the label.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````